> For the complete documentation index, see [llms.txt](https://docs.dikesoft.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dikesoft.com/reference/injection-tokens/editing.md).

# Editing

## Edition triggers

### ROW\_EDITION\_DBLCLICK

This Injection Token disables the double-click functionality that takes a row to edition state.

```typescript
const ROW_EDITION_DBLCLICK: InjectionToken<boolean>;
```

### ROW\_EDITION\_ENTER\_KEY

This Injection Token disables the ENTER key functionality that saves a row changes.

```typescript
const ROW_EDITION_ENTER_KEY: InjectionToken<boolean>;
```

### ROW\_EDITION\_ESC\_KEY

This Injection Token disables the ESC key functionality that cancels a row edition.

```typescript
const ROW_EDITION_ESC_KEY: InjectionToken<boolean>;
```

## Validation messages

### CUSTOM\_EDITION\_ERROR\_MESSAGES

```typescript
const CUSTOM_EDITION_ERROR_MESSAGES: InjectionToken<CustomErrorMessage>;
```

## Multiple rows edition

### MAX\_ROWS\_IN\_EDITION

This Injection Token reconfigures the maximum number of rows that the DikeGrid instance can have in the edition state.

```typescript
const MAX_ROWS_IN_EDITION: InjectionToken<boolean>;
```

### WAIT\_FOR\_MULTIPLE\_ROWS\_DELETION

To avoid the DikeGrid showing the Processing Indicator during the deletion operation, provide this Injection Token with a <mark style="color:red;">`false`</mark> value.

```typescript
const WAIT_FOR_MULTIPLE_ROWS_DELETION: InjectionToken<boolean>;
```

### WAIT\_FOR\_MULTIPLE\_ROWS\_UPDATE

To avoid the DikeGrid showing the Processing Indicator during the update operation, provide this Injection Token with a <mark style="color:red;">`false`</mark> value.

```typescript
const WAIT_FOR_MULTIPLE_ROWS_UPDATE: InjectionToken<boolean>;
```

### WAIT\_FOR\_MULTIPLE\_ROWS\_CANCELATION

To avoid the DikeGrid showing the Processing Indicator during the cancelation operation, provide this Injection Token with a <mark style="color:red;">`false`</mark> value.

```typescript
const WAIT_FOR_MULTIPLE_ROWS_CANCELATION: InjectionToken<boolean>;
```

### WAIT\_FOR\_MULTIPLE\_ROWS\_RESTORATION

To avoid the DikeGrid showing the Processing Indicator during the restoration operation, provide this Injection Token with a <mark style="color:red;">`false`</mark> value.

```typescript
const WAIT_FOR_MULTIPLE_ROWS_RESTORATION: InjectionToken<boolean>;
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dikesoft.com/reference/injection-tokens/editing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
